﻿Imports System.IO
Imports C1.Win.C1Document.Export
Imports C1.Win.FlexReport
Imports C1.Win.FlexReport.CustomFields

Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        C1FlexReport1.Load("../../Invoice.flxr", "Report 1")
        Dim sField As CustomFields.SuperLabel = DirectCast(C1FlexReport1.Fields("Field1"), CustomFields.SuperLabel)

        Dim fileReader As String
        fileReader = My.Computer.FileSystem.ReadAllText("../../test.htm")

        sField.Text = fileReader

        C1PdfDocumentSource1.LoadFromFile("../../demo.pdf")

        'Create JPEGFilter object
        Dim filter As New JpegFilter()
        filter.FileName = "../../Images/DefaultDocument.jpg"

        C1PdfDocumentSource1.Export(filter)

        Dim d As New System.IO.DirectoryInfo("../../Images")
        Dim img As ImageField
        For i = 1 To d.GetFiles.GetUpperBound(0) + 1
            img = New ImageField
            Dim subSection As SubSection = C1FlexReport1.Sections.Detail.SubSections.Add()
            subSection.Visible = True
            subSection.Height = C1FlexReport1.Layout.PageSize.Height
            subSection.AutoHeight = AutoSizeBehavior.None

            img.Top = 0
            img.Left = 0
            img.MarginTop = 0
            img.MarginBottom = 0
            'img.Height = 1440 * 8
            'img.Width = 1440 * 7
            img.AutoHeight = AutoSizeBehavior.GrowAndShrink
            img.AutoWidth = AutoSizeBehavior.CanGrow
            img.PictureScale = PictureScaleEnum.Stretch
            img.BackColor = Color.Gray
            img.Picture = Image.FromFile(Path.Combine("../../Images", "DefaultDocument_page" & i & ".jpg"))
            subSection.Fields.Add(img)
        Next

        C1FlexReport1.Render()
        C1FlexViewer1.DocumentSource = C1FlexReport1

        'Dim form2 As New Form2
        'form2.Show()
    End Sub
End Class